Bug 1259761 - RFE: support rich deps
RFE: support rich deps
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: backend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 09:38 EDT by Miroslav Suchý
Modified: 2017-08-03 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 09:19:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2015-09-03 09:38:52 EDT
It would be nice to support RichDependencies in build system.
This has been introduced in rpm-build-4.12.90-7.fc24.x86_64

The version of that rpm is now in rawhide so it should be used automatically.

Main problem is that we need that version on copr-dist-git machine too. And that is running RHEL7 so we either migrate that machine to rawhide (just kidding) or we try to rebuild that version of rpm for RHEL7 and use it on that machine (needs a lot of testing).
Comment 1 clime 2017-08-03 09:19:59 EDT
RichDependencies are supported now.

Note You need to log in before you can comment on or make changes to this bug.